{
  name: "Pyroclastic",
  rating: 4,
  num: -22001,
  flags: {},

  onSwitchIn(pokemon) {
    this.add("-ability", pokemon, "Pyroclastic");
    this.heal(pokemon.baseMaxhp / 3, pokemon, pokemon);
  },

  onBoost(boost, target, source, effect) {
    if (target !== this.effectState.target) return;
    if (boost.accuracy && boost.accuracy < 0) {
      boost.accuracy = 0;
      this.add("-immune", target, "[from] ability: Pyroclastic");
    }
  }
}
